
/*
SelectNav.js (v. 0.1)
Converts your <ul>/<ol> navigation into a dropdown list for small screens
https://github.com/lukaszfiszer/selectnav.js
*/
window.selectnav=function(){return function(p,q){var a,h=function(b){var c;b||(b=window.event);b.target?c=b.target:b.srcElement&&(c=b.srcElement);3===c.nodeType&&(c=c.parentNode);c.value&&(window.location.href=c.value)},k=function(b){b=b.nodeName.toLowerCase();return"ul"===b||"ol"===b},l=function(b){for(var c=1;document.getElementById("selectnav"+c);c++);return b?"selectnav"+c:"selectnav"+(c-1)},n=function(b){g++;var c=b.children.length,a="",d="",f=g-1;if(c){if(f){for(;f--;)d+=r;d+=" "}for(f=0;f<
c;f++){var e=b.children[f].children[0];if("undefined"!==typeof e){var h=e.innerText||e.textContent,i="";j&&(i=-1!==e.className.search(j)||-1!==e.parentElement.className.search(j)?m:"");s&&!i&&(i=e.href===document.URL?m:"");a+='<option value="'+e.href+'" '+i+">"+d+h+"</option>";t&&(e=b.children[f].children[1])&&k(e)&&(a+=n(e))}}1===g&&o&&(a='<option value="">'+o+"</option>"+a);1===g&&(a='<select class="selectnav" id="'+l(!0)+'">'+a+"</select>");g--;return a}};if((a=document.getElementById(p))&&k(a)){document.documentElement.className+=
" js";var d=q||{},j=d.activeclass||"active",s="boolean"===typeof d.autoselect?d.autoselect:!0,t="boolean"===typeof d.nested?d.nested:!0,r=d.indent||"\u2192",o=d.label||"- 频道推荐 -",g=0,m=" selected ";a.insertAdjacentHTML("afterend",n(a));a=document.getElementById(l());a.addEventListener&&a.addEventListener("change",h);a.attachEvent&&a.attachEvent("onchange",h)}}}();


// set a cookie for whole page
function setCookie(c_name,value,exdays) {
    var exdate=new Date();
    exdate.setDate(exdate.getDate() + exdays);
    var c_value=escape(value) + ((exdays==null) ? '' : '; expires='+exdate.toUTCString())+'; path=/';
    document.cookie=c_name + "=" + c_value;
}
// get cookies
function getCookie(c_name) {
    var i,x,y,ARRcookies=document.cookie.split(";");
    for (i=0;i<ARRcookies.length;i++)
    {
        x=ARRcookies[i].substr(0,ARRcookies[i].indexOf("="));
        y=ARRcookies[i].substr(ARRcookies[i].indexOf("=")+1);
        x=x.replace(/^\s+|\s+$/g,"");
        if (x==c_name)
        {
            return unescape(y);
        }
    }
}  

jQuery(document).ready(function(){

	// responsive menu
	jQuery('#top-page-list > div > ul').attr('id', 'res-menu-1');
	jQuery('#drop-down-menu > div > ul').attr('id', 'res-menu-2');
	selectnav('res-menu-1');
	selectnav('res-menu-2');

	// tab widgets on sidebar
	var tab_title = '';
	var tab_id = 0;
	jQuery('#right-side-tab .widget').each(function(){
		var title = jQuery(this).find('h2.widget-title').text();
		// create title for tabs
		if (title) {
			if (tab_title == '') {
				tab_title += '<span class="active" tab_id="'+tab_id+'">'+title+'</span>';
				jQuery(this).addClass('tab-active');
			} else {
				tab_title += '<span tab_id="'+tab_id+'">'+title+'</span>';
			}
			jQuery(this).addClass('tab-' + tab_id);
			tab_id++;
		}
	
	});
	// create animation for tabs
	tab_title = '<h2 class="widget-title">'+tab_title+'<div class="clear"></div></h2>';
	jQuery('#right-side-tab').prepend(tab_title);
	jQuery('#right-side-tab h2.widget-title span').click(function(){
		var tab_id = jQuery(this).attr('tab_id');
		jQuery('#right-side-tab h2.widget-title span').removeClass('active');
		jQuery('#right-side-tab .widget').removeClass('tab-active');
		jQuery(this).addClass('active');
		jQuery('#right-side-tab .widget.tab-'+tab_id).addClass('tab-active');
	});
		
	// JUMPTOP BUTTON
	jQuery(window).scroll(function(){
		if (jQuery(this).scrollTop() > 100) {
			jQuery('.scrollup').css('bottom', '10px');
		} else {
			jQuery('.scrollup').css('bottom', '-100px');
		}
	}); 

	jQuery('.scrollup').click(function(){
		jQuery("html, body").animate({ scrollTop: 0 }, 600);
		return false;
	});
	
	// post-body aps: zoom in/out body text
	var cfs = getCookie('font_size');
	if (cfs != '' && cfs != null) {
		jQuery('.post-body').css('font-size', cfs + 'px')
	}
	jQuery('.zoom-text').click(function(){
		var fs = jQuery('.article-post .post-body').css('font-size');
		fs = fs.replace('px', '');
		var cl = jQuery(this).attr('class');
		var fs_num = Number(fs);
			
		if (cl.indexOf('zoom-in-text') != -1) {
			fs_num++;
		} else {
			fs_num-=1;
		}
		setCookie('font_size', fs_num);
		jQuery('.article-post .post-body').css('font-size', fs_num + 'px')
	});

	
	// auto resize thumbnail
	function optimize_thumbnail_image(img) {

		// clear margin style
		jQuery(img).css('margin-left', '0');
		jQuery(img).css('margin-top', '0');
		
		var image_height = Number(jQuery(img).attr('h'));
		var image_width = Number(jQuery(img).attr('w'));
		
		var thumbnail_height = Number(jQuery(img).parents('.item-thumbnail1').height());
		var thumbnail_width = Number(jQuery(img).parents('.item-thumbnail1').width());
		
		// set image height = thumbnail wrapper height
		// img_w / img_h = new_img_w / new_img_h
		var new_image_height = thumbnail_height;
		var new_image_width = (image_width/image_height)*new_image_height;		

		if (new_image_width < thumbnail_width) {
			// if new width lower than thumbnail width
			// we must set width to thumbnail width 
			// and generate new height
			new_image_width = thumbnail_width;
			new_image_height = (image_height/image_width)*new_image_width;
			var margin_top = -((new_image_height - thumbnail_height) / 2);
			jQuery(img).css('width', new_image_width + 'px');
			jQuery(img).css('height', new_image_height + 'px');
			
			// if height of image is too high (magazine cover)
			// not margin to it, to sure display face on image
			// < 1.3 is not magazine cover, >= 1.3 is magazine cover
			if (new_image_height / new_image_width < 1.3) {
				jQuery(img).css('margin-top', margin_top + 'px');
			} else {
				jQuery(img).css('margin-top', '0px');
			}
		} else {
			// if new width larger than thumbnail
			// height is already enough, so just margin left;
			var margin_left = -((new_image_width - thumbnail_width) / 2);
			jQuery(img).css('width', new_image_width + 'px');
			jQuery(img).css('height', new_image_height + 'px');
			jQuery(img).css('margin-left', margin_left + 'px');
		}	
	}
	function optimize_thumbnail() {
		// replace small images first
		jQuery('.item-thumbnail1 img').each(function(){
			jQuery(this).removeAttr('height');
			jQuery(this).removeAttr('width');
			
			var src = jQuery(this).attr('src');		
			if (src != null) {
				if (src.indexOf('/s72-c/') != -1) {
					src = src.replace('/s72-c/', '/s1600/');
					jQuery(this).after('<img src="'+src+'" class="replaced"/>');
					jQuery(this).remove();
				} else if (src.indexOf('youtube.com') != -1) {
					if (src.indexOf('/default.') != -1) {
						src = src.replace('/default.', '/mqdefault.');
						jQuery(this).after('<img src="'+src+'" class="replaced"/>');
						jQuery(this).remove();	
					}
				}
			}		
		});	
		
		jQuery('.item-thumbnail1 img').each(function(){
			if (jQuery(this).attr('w') && jQuery(this).attr('h')) {
				optimize_thumbnail_image(this);
			} else {
				jQuery(this).on('load', function (){
					var w = this.width;
					var h = this.height;
					jQuery(this).attr('w', w);
					jQuery(this).attr('h', h);
					optimize_thumbnail_image(this);
				})
				.each(function (){
					// Trigger load event (for Gecko and MSIE)
					if (this.complete) {
						jQuery(this).trigger('load');
					}
					// This fixes IE9 issue
					this.src = this.src;
				});
			}
		});
	}

	optimize_thumbnail();


	jQuery(window).resize(function(){
		optimize_thumbnail();
	});
	
	

});