jQuery(function($) {
    function wpi_pick_menu_color(obj) {
        var menu_class = $(obj).attr('class');
        if (menu_class && typeof(menu_class) != 'undefined') {
            menu_classes = menu_class.split(' ');
            for (var i = 0; i < menu_classes.length; i++) {
                if (menu_classes[i].indexOf('menu') == -1) {
                    return menu_classes[i];
                }
            }
        }
        return null;
    }
    $('#nav-top-menu ul').attr('id', 'res-menu-1');
    $('#nav-main-menu ul').attr('id', 'res-menu-2');
    $('#nav-footer-menu ul').attr('id', 'res-menu-3');
    selectnav('res-menu-1');
    selectnav('res-menu-2');
    selectnav('res-menu-3');
    $('.selectnav option').removeAttr('selected');
    $('.selectnav option').first().attr('selected', 'selected');
    $('#nav-top-menu .menu-item').each(function() {
        if (wpi_pick_menu_color(this)) {
            $(this).children('a').first().css({
                'background': wpi_pick_menu_color(this),
                'color': 'white',
                'padding-left': '10px',
                'padding-right': '10px'
            });
            $(this).addClass('menu-custom-color');
        }
    });
    $('#nav-main-menu .menu-item').each(function() {
        if (wpi_pick_menu_color(this)) {
            $(this).children('a').first().css({
                'background': wpi_pick_menu_color(this),
            });
            $(this).addClass('menu-custom-color');
        }
    });
    $('#nav-footer-menu .menu-item').each(function() {
        if (wpi_pick_menu_color(this)) {
            $(this).children('a').first().css({
                'background': wpi_pick_menu_color(this),
                'color': 'white',
                'padding-left': '10px',
                'padding-right': '10px'
            });
            $(this).addClass('menu-custom-color');
        }
    })

});